<?php

namespace App\Enums;

use App\Enums\Traits\HasLabels;

/**
 * @OA\Schema(
 *   schema="RoomType",
 *   type="string",
 *   enum={"unset", "pc", "svr"},
 *   example="error"
 * )
 */
enum RoomType: string {
    use HasLabels;

    case Unset = 'unset';
    case PC = 'pc';
    case SVR ='svr';

    // 返回對應的顯示文字
    public function labels(): string
    {
        return match($this) {
            self::Unset => __('enums.room.status.Unset'),
            self::PC => "PC",
            self::SVR => "SVR",
        };
    }
}
